Bug 5861 - Missing/broken MyProxy perl dependency doesn't cause failure during configuration
: Missing/broken MyProxy perl dependency doesn't cause failure during configura...
Status: CLOSED FIXED
: GridShib
GridShib-CA
: 0.5
: All All
: P3 normal
: ---
Assigned To:
:
:
:
: 5823
  Show dependency treegraph
 
Reported: 2008-02-11 13:38 by
Modified: 2009-08-26 22:06 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-02-11 13:38:52
Add a configure option to make this a failure instead of a warning. Don't want
it to always fail since deployer may not care about MyProxy support.

checking for perl module IO::Socket::SSL... no
configure: WARNING: PERL module prequisites for MyProxy CA not found.

Actual failure in this particular case is very odd; captured below for
historical purposes.

[Mon Feb 11 13:23:59 2008] [error] [client 141.142.251.236] Use of
uninitialized value in concatenation (.) or string at
/usr/lib/perl5/5.8.8/i386-linux-thread-multi/Scalar/Util.pm line 30., referer:
https://sso.openidp.org/shibboleth-idp/SSO?shire=https%3A%2F%2Fcomputer.ncsa.uiuc.edu%2FShibboleth.sso%2FSAML%2FPOST&time=1202757837&target=cookie&providerId=https%3A%2F%2Ftest-sp.ncsa.uiuc.edu%2Fshibboleth
[Mon Feb 11 13:23:59 2008] [error] [client 141.142.251.236] GridShib-CA
Configuration error: Failure loading class GridShibCA::MyProxyCA:  is only
avaliable with the XS version at
/usr/lib/perl5/site_perl/5.8.6/IO/Socket/SSL.pm line 19, referer:
https://sso.openidp.org/shibboleth-idp/SSO?shire=https%3A%2F%2Fcomputer.ncsa.uiuc.edu%2FShibboleth.sso%2FSAML%2FPOST&time=1202757837&target=cookie&providerId=https%3A%2F%2Ftest-sp.ncsa.uiuc.edu%2Fshibboleth
[Mon Feb 11 13:23:59 2008] [error] [client 141.142.251.236] BEGIN
failed--compilation aborted at /usr/lib/perl5/site_perl/5.8.6/IO/Socket/SSL.pm
line 19., referer:
https://sso.openidp.org/shibboleth-idp/SSO?shire=https%3A%2F%2Fcomputer.ncsa.uiuc.edu%2FShibboleth.sso%2FSAML%2FPOST&time=1202757837&target=cookie&providerId=https%3A%2F%2Ftest-sp.ncsa.uiuc.edu%2Fshibboleth
------- Comment #1 From 2008-11-04 14:25:24 -------
Could make this a runtime check during gridshib-ca initialization and throw a
better error message.
------- Comment #2 From 2009-08-07 23:27:34 -------
Committed to 0.5 branch: The IO::Socket::SSL Perl module, required by MyProxy,
is now required by configure.
------- Comment #3 From 2009-08-26 22:06:58 -------
In 1.0.0 release.